Bug 602791 - Review Request: xrootd - Extended ROOT file server
Review Request: xrootd - Extended ROOT file server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 542990
  Show dependency treegraph
 
Reported: 2010-06-10 15:02 EDT by Mattias Ellert
Modified: 2010-07-09 01:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: xrootd-20100315-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 17:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
steve.traylen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2010-06-10 15:02:51 EDT
Spec URL: http://www.grid.tsl.uu.se/review/xrootd.spec
SRPM URL: http://www.grid.tsl.uu.se/review/xrootd-20100315-1.fc12.src.rpm

Description:
This package contains the xrootd services: xrootd, olbd and cmsd.
Comment 1 Steve Traylen 2010-06-13 15:55:13 EDT
Review: xrootd
Date: Jun 13th 2010.
Mock Build: F13, x86_64 , OK

* COMMENT: rpmlint output
$ rpmlint SPECS/xrootd.spec RPMS/x86_64/xrootd-* RPMS/noarch/xrootd-doc-20100315-1.fc13.noarch.rpm  SRPMS/xrootd-20100315-1.fc13.src.rpm 
SPECS/xrootd.spec: W: invalid-url Source1: xrootd-manpages.tar.gz
SPECS/xrootd.spec: W: invalid-url Source0: http://xrootd.slac.stanford.edu/download/20100315-1007/xrootd-20100315-1007.src.tgz <urlopen error [Errno 113] No route to host>
xrootd.x86_64: W: non-standard-uid /var/log/xrootd xrootd
xrootd.x86_64: W: non-standard-gid /var/log/xrootd xrootd
  + Expected.

xrootd.x86_64: W: no-manual-page-for-binary XrdCnsd
xrootd-client.x86_64: W: no-manual-page-for-binary cns_ssi
xrootd-client.x86_64: W: no-manual-page-for-binary mpxstats
xrootd-client.x86_64: W: no-manual-page-for-binary xrdmonCollector
xrootd-client.x86_64: W: no-manual-page-for-binary xrdadler32
xrootd-client.x86_64: W: no-manual-page-for-binary xrdtestclient
xrootd-client.x86_64: W: no-manual-page-for-binary xrdmonAdmin
xrootd-client.x86_64: W: no-manual-page-for-binary frm_admin
xrootd-client.x86_64: W: no-manual-page-for-binary xrdtestserver
xrootd-client.x86_64: W: no-manual-page-for-binary XrdAccTest
xrootd-client.x86_64: W: no-manual-page-for-binary frm_pstga
xrootd-client.x86_64: W: no-manual-page-for-binary frm_pstgd
xrootd-client.x86_64: W: no-manual-page-for-binary TestXrdClient
xrootd-client.x86_64: W: no-manual-page-for-binary wait41
xrootd-client.x86_64: W: no-manual-page-for-binary TestXrdClient_read
xrootd-client.x86_64: W: no-manual-page-for-binary xrdsssadmin
xrootd-client-admin-java.x86_64: W: no-documentation
xrootd-client-admin-perl.x86_64: W: invalid-url URL: http://xrootd.slac.stanford.edu/ <urlopen error [Errno 113] No route to host>
xrootd-client-admin-perl.x86_64: W: no-documentation
xrootd-devel.x86_64: W: no-documentation
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdPosix.so.0.0.0 _exit@GLIBC_2.2.5
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdClient.so.0.0.0 exit@GLIBC_2.2.5
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdRootd.so.0.0.0 _exit@GLIBC_2.2.5
  Can you open a bug upstream.

xrootd-libs.x86_64: W: no-documentation
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdRootd.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSecunix.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdCryptossl.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSec.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdAcc.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSecsss.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdBwm.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSecpwd.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdCryptoLite.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSecgsi.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdOfs.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSeckrb5.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdSecgsiGMAPLADP.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdCrypto.so
xrootd-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libXrdProxy.so
  You have explained these.

xrootd.src: W: invalid-url Source1: xrootd-manpages.tar.gz
  It's not really obvious where this comes from.

9 packages and 1 specfiles checked; 0 errors, 53 warnings.

* PASS: Named according to the Package Naming Guidelines.
Yes, tar ball is called root.

* PASS: spec file name same as  base package %{name}.
Yes.

* YES: Packaging Guidelines.


* PASS: Approved license in .spec file.
BSD 

* COMMENTS: License on Source code.
BSD genrally, e.g src/Xrd/XrdInfo.cc

however  man pages appear to be LGPL and
src/XrdSecssl/libsslGridSite/* is BSD/ASL2.0.
See below.

* PASS: Include LICENSE file or similar if it exist.
Does not appear to be one to include.
* PASS: Written in American English.
Yes
* PASS: Spec file legible. 
Yes
* PASS: Included source must match upstream source.
$ md5sum xrootd-20100315-1007.src.tgz ../SOURCES/xrootd-20100315-1007.src.tgz 
099fc80474b8df5a36bf52bea7276f8b  xrootd-20100315-1007.src.tgz
099fc80474b8df5a36bf52bea7276f8b  ../SOURCES/xrootd-20100315-1007.src.tgz
* PASS: Build on one architecture.
Yes, mock okay.
* NOTCHECKED: Not building on an architecture must highlighted.
* PASS: Build dependencies must be listed in BuildRequires.
* PASS: Handle locales properly. 
No locales
* PASS: ldconfig must be called on shared libs.
* COMMENT: No bundled copies of system libraries.
gridsite
* PASS: Package must state why relocatable if relocatable.
Not relocatable.
* PASS: A package must own all directories that it creates
Yes , /usr/include/xrootd and /etc/xrootd.
* PASS:  No duplicate files in %files listings. 
* PASS:  Permissions on files must be set properly. %defattr
* PASS:  %clean section contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  Each package must consistently use macros.
* PASS:  The package must contain code, or permissable content.
* PASS:  Large documentation files must go in a -doc subpackage.  
* PASS:  %doc  must not affect the runtime of the application. 
Yes in a seperate package allready
* PASS:  Header files must be in a -devel package.
* PASS:  Static libraries must be in a -static package.
No statics
* PASS:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
No pkgconfig
* PASS:  devel packages must require the exact base package
Yes
* PASS:  No .la libtool archives
None.
* PASS:  GUI apps should have %{name}.desktop file
No gui
* PASS:  No files or directories already owned by other packages. 
None
* PASS:  %install must run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
* PASS:  All filenames in rpm packages must be valid UTF-8.

Summary and comments

1) The 
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdPosix.so.0.0.0 _exit@GLIBC_2.2.5
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdClient.so.0.0.0 exit@GLIBC_2.2.5
xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdRootd.so.0.0.0 _exit@GLIBC_2.2.5
 can you open a bug upstream.

2) Source1: xrootd-manpages.tar.gz
  Can you ellaberate more on where this tar ball comes from so some one else could
  create it.

3) Man pages are LGPL not BSD.

4) Presumably  pthreads-win32 directory can be deleted, it's GPL so to be sure it's not being used 
   delete it.

5) src/XrdSecssl/libsslGridSite/* is ASL2.0/BSD but also is really just a copy of gridsite
   source code as you know now packaged, can you use the ready packaged one.
   Looking harder I see this may not actually be used, delete it to be sure.

6) There is no LICENSE file, can you request upstream adds one.

7) I see you made some comments on the shared library .so and the module .so.

Something to think about, do you want to library version the shared libs?
Can the actual modules(or plugins) go in /usr/lib64/xrootd/modules with as necessary
symlinks to the versioned sos in %{_libdir} . All depends on how hard it is to do.

8) The description of the package is a bit terse, can you add what xrootd can
   actually be used for.

9) You may want to increase the BR for java to bring in an openjdk rather than
   just GCJ. My mock build did not build a .jar and only built a .so. 


  Steve.
Comment 2 Mattias Ellert 2010-06-14 11:03:31 EDT
(In reply to comment #1)
> Summary and comments
> 
> 1) The 
> xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdPosix.so.0.0.0
> _exit@GLIBC_2.2.5
> xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdClient.so.0.0.0
> exit@GLIBC_2.2.5
> xrootd-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libXrdRootd.so.0.0.0
> _exit@GLIBC_2.2.5
>  can you open a bug upstream.

I have now sent a mail with this issue to xrootd-bugs@slac.stanford.edu, which is indicated as the preferred way to report bugs in xrootd on http://xrootd.slac.stanford.edu/Bug_Report.htm - it probably ends up in an issue tracker somewhere - but I didn't get any reply yet, so I can not give a reference. This could be due to grey listing.

> 2) Source1: xrootd-manpages.tar.gz
>   Can you ellaberate more on where this tar ball comes from so some one else
> could
>   create it.

Added some comments to the spec file.
 
> 3) Man pages are LGPL not BSD.

Added LGPLv2+ to the License tag

> 4) Presumably  pthreads-win32 directory can be deleted, it's GPL so to be sure
> it's not being used 
>    delete it.

done

> 5) src/XrdSecssl/libsslGridSite/* is ASL2.0/BSD but also is really just a copy
> of gridsite
>    source code as you know now packaged, can you use the ready packaged one.
>    Looking harder I see this may not actually be used, delete it to be sure.

done

> 6) There is no LICENSE file, can you request upstream adds one.

done - to the same e-mail as above.

> 7) I see you made some comments on the shared library .so and the module .so.
> 
> Something to think about, do you want to library version the shared libs?
> Can the actual modules(or plugins) go in /usr/lib64/xrootd/modules with as
> necessary
> symlinks to the versioned sos in %{_libdir} . All depends on how hard it is to
> do.

The plugin handling in xrootd is not centralized to one place in the code, but dlopen is called in very many places. I think this would be quite a lot of work.

> 8) The description of the package is a bit terse, can you add what xrootd can
>    actually be used for.

I have expanded the package description.

> 9) You may want to increase the BR for java to bring in an openjdk rather than
>    just GCJ. My mock build did not build a .jar and only built a .so. 

I can not reproduce this. The jar built fine for me even with java-1.4.2-gcj on RHEL 4.

>   Steve.    

New version:

Spec URL: http://www.grid.tsl.uu.se/review/xrootd.spec
SRPM URL: http://www.grid.tsl.uu.se/review/xrootd-20100315-2.fc12.src.rpm
Comment 3 Steve Traylen 2010-06-14 15:25:19 EDT
The missing .jar was my mistake.

APPROVED.
Comment 4 Mattias Ellert 2010-06-15 02:13:30 EDT
Thank you for the review!

New Package CVS Request
=======================
Package Name: xrootd
Short Description: Extended ROOT file server
Owners: ellert
Branches: F-12 F-13 EL-4 EL-5 EL-6
InitialCC:
Comment 5 Kevin Fenzi 2010-06-20 22:16:34 EDT
CVS done (by process-cvs-requests.py).

Please remember to assign the review to the reviewer.
Comment 6 Fedora Update System 2010-06-20 23:47:42 EDT
xrootd-20100315-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xrootd-20100315-2.fc13
Comment 7 Fedora Update System 2010-06-20 23:47:46 EDT
xrootd-20100315-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xrootd-20100315-2.fc12
Comment 8 Fedora Update System 2010-06-20 23:48:02 EDT
xrootd-20100315-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/xrootd-20100315-2.el5
Comment 9 Fedora Update System 2010-06-20 23:48:06 EDT
xrootd-20100315-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/xrootd-20100315-2.el4
Comment 10 Fedora Update System 2010-06-21 17:39:58 EDT
xrootd-20100315-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-06-21 17:44:11 EDT
xrootd-20100315-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-07-09 01:54:15 EDT
xrootd-20100315-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-07-09 01:57:34 EDT
xrootd-20100315-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.